[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: xorg-x11 update may have broken my system



D. Hugh Redelmeier wrote:

The recent xorg update (from 45 to 48.1) DID break my system.

X now works.

NOTE: the xorg-x11-Mesa-libGLU-6.8.2-37.FC4.48.1 package was not
cleanly downgraded.  I don't know why.  Here is the message:

/sbin/ldconfig: relative path `1' used to build cache
error: %postun(xorg-x11-Mesa-libGLU-6.8.2-37.FC4.48.1.i386) scriptlet failed, exit status 1

rpm -q says both the 45 and 48.1 version are installed.  Highly
unlikely since they conflict.  I guess that 3d might be broken on this
installation, but I've never knowingly used it anyway.
This scriptlet error might be important for debugging for the developers. For your system, you might need to erase the db for the newer version, in this backwards case. Usually, you would remove the rpmdb entry for the older package. The option to rpm --justdb removes the entry which will not remove any actual files. Then you can run rpm -q --verify on the older Mesa package to see if your older rpm is clean.

Jim

--
QOTD:
	If it's too loud, you're too old.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]